Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07493 Graphics Minor Always Nov 20, 2019, 06:56 Nov 25, 2019, 08:13
Tester sasuke View Status Public Platform MAME (Official Binary)
Assigned To sasuke Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver galivan.cpp
Version 0.215 Fixed in Version 0.217 Build 64-bit
Summary 07493: dangar, dangara, dangarb, dangarj, galivan, galivan2, galivan3: Some text displays red, but actial is white
Description Some text displays red, but these on actual PCB is white.

- "PUSH START BUTTON" in title screen
- "GAME OVER" in attract demo
- "1PLAYER READY DANGAR(GALIVAN) 2LEFT GAME START"
- Ranking table

Please see attached image "Compare.png".
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems dangar, dangara, dangarb, dangarj, galivan, galivan2, galivan3
Attached Files
png file icon Compare.png (1,329,333 bytes) Nov 20, 2019, 06:56 Uploaded by sasuke
Compare with PCB
png file icon Title logo.png (292,766 bytes) Nov 20, 2019, 17:30 Uploaded by sasuke
Title logo
sasuke
png file icon fixed.png (894,009 bytes) Nov 24, 2019, 13:33 Uploaded by sasuke
I'm fixed
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.17181
sasuke
Tester
Nov 20, 2019, 17:30
edited on: Nov 20, 2019, 17:30
In MAME, bits 5-6 of text screen attribute are used choose for color palette.

but I guess attribute bit assign is following.
- bit 3-4 ((attr & 0x18) >> 3) ... Color palette number for "first" 8 colors
- bit 5-6 ((attr & 0xe0) >> 5) ... Color palette number for "last" 8 colors
The feature used as part of the title logo.
It is not displayed correctly because it is not supported by MAME.

Current code:
TILE_GET_INFO_MEMBER(galivan_state::get_tx_tile_info)
{
    int attr = m_videoram[tile_index + 0x400];
    int code = m_videoram[tile_index] | ((attr & 0x01) << 8);
    SET_TILE_INFO_MEMBER(0,
            code,
            (attr & 0xe0) >> 5, /* not sure */
            0);
    tileinfo.category = attr & 8 ? 0 : 1; /* seems correct */
}

(Please see attached file "Title logo.png")
User avatar
No.17200
sasuke
Tester
Nov 24, 2019, 05:07
I attached the modified sources.
Include #06946 fixes.
User avatar
No.17202
sasuke
Tester
Nov 24, 2019, 09:00
I submitted a pull request.
https://github.com/mamedev/mame/pull/5957